package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Trl;
import com.brilliance.isc.vo.manager.TrlVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TrlMapper {

    int insert(Trl record);

    int insertSelective(Trl record);

    int updateByPrimaryKeySelective(Trl record);

    int updateByPrimaryKey(Trl record);

    int deleteByPrimaryKey(Trl record);

    int deleteByIds(Collection<Object> collection);

    Trl selectByPrimaryKey(Trl record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Trl> dyncRead(Map<String,Object> dyncMap);

    Trl trlSelectOne(@Param("trn") String trn, @Param("bchkey") String bchkey);

    List<Trl> listFuzzyByRecord(TrlVo record);

    // 根据 bchkey、 trn、 relcur、 ver 字段判重
    Trl selectByRecord(Trl record);


}